Package be.ehealth.businessconnector.ehbox.v3.service

# Interface ConsultationService

All Known Implementing Classes:
  `ConsultationServiceImpl`

public interface ConsultationService
The Interface ConsultationService. Default impl : `ConsultationServiceImpl` Factory : `ServiceFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DeleteMessageResponse`
  `deleteMessage(SAMLToken token, DeleteMessageRequest request)`
  delete specific message.
  `DeleteOoOResponse`
  `deleteOoO(SAMLToken token, DeleteOoORequest request)`
  get list of periods of OoO for specific user.
  `GetAllEhboxesMessagesListResponse`
  `getAllEhboxesMessagesList(SAMLToken initSession, GetAllEhboxesMessagesListRequest request)`
  retrieve all messages from given source for all mailboxes.
  `GetBoxInfoResponse`
  `getBoxInfo(SAMLToken token, GetBoxInfoRequest getBoxInfoRequest)`
  Gets the box info.
  `GetFullMessageResponse`
  `getFullMessage(SAMLToken token, GetFullMessageRequest messageRequest)`
  Gets the full message.
  `GetFullMessageResponse`
  `getFullMessage(SAMLToken token, MessageRequestType messageRequestType)`
  Deprecated.
  use getFullMessage(SamlToken token , GetFullMessageRequest request) instead
  `GetMessageAcknowledgmentsStatusResponse`
  `getMessageAcknowledgmentsStatusResponse(SAMLToken token, GetMessageAcknowledgmentsStatusRequest messageAcknowledgmentsStatusRequest)`
  Get the acknowlegement status.
  `GetHistoryResponse`
  `getMessageHistory(SAMLToken token, GetHistoryRequest messageRequestType)`
  Gets the message history.
  `GetHistoryResponse`
  `getMessageHistory(SAMLToken token, MessageRequestType messageRequestType)`
  Deprecated.
  use getFullMessage(SamlToken token , GetHistoryRequest request) instead
  `GetMessagesListResponse`
  `getMessageList(SAMLToken token, GetMessagesListRequest messagesListRequest)`
  Gets the message list.
  `GetOoOListResponse`
  `getOoOList(SAMLToken token, GetOoOListRequest request)`
  delete specific OoO périod.
  `InsertOoOResponse`
  `insertOoO(SAMLToken token, InsertOoORequest request)`
  insert Out Of Office period.
  `MoveMessageResponse`
  `moveMessage(SAMLToken token, MoveMessageRequest messageRequestType)`
  Move to in box.

- ## Method Details

  - ### getBoxInfo

    GetBoxInfoResponse getBoxInfo(SAMLToken token, GetBoxInfoRequest getBoxInfoRequest) throws ConnectorException
    Gets the box info.
    Parameters:
      `token` - the token
      `getBoxInfoRequest` -
    Returns:
      the box info
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### getFullMessage

    @Deprecated GetFullMessageResponse getFullMessage(SAMLToken token, MessageRequestType messageRequestType) throws ConnectorException
    Deprecated.
    use getFullMessage(SamlToken token , GetFullMessageRequest request) instead
    Gets the full message.
    Parameters:
      `token` - the token
      `messageRequestType` - the message request type
    Returns:
      the full message
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### getFullMessage

    GetFullMessageResponse getFullMessage(SAMLToken token, GetFullMessageRequest messageRequest) throws ConnectorException
    Gets the full message.
    Parameters:
      `token` - the token
      `messageRequest` - the message request type
    Returns:
      the full message
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### getMessageHistory

    @Deprecated GetHistoryResponse getMessageHistory(SAMLToken token, MessageRequestType messageRequestType) throws ConnectorException
    Deprecated.
    use getFullMessage(SamlToken token , GetHistoryRequest request) instead
    Gets the message history.
    Parameters:
      `token` - the token
      `messageRequestType` - the message request type
    Returns:
      the message history
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### getMessageHistory

    GetHistoryResponse getMessageHistory(SAMLToken token, GetHistoryRequest messageRequestType) throws ConnectorException
    Gets the message history.
    Parameters:
      `token` - the token
      `messageRequestType` - the message request type
    Returns:
      the message history
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### getMessageList

    GetMessagesListResponse getMessageList(SAMLToken token, GetMessagesListRequest messagesListRequest) throws ConnectorException
    Gets the message list.
    Parameters:
      `token` - the token
      `messagesListRequest` - the messages list request
    Returns:
      the message list
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### moveMessage

    MoveMessageResponse moveMessage(SAMLToken token, MoveMessageRequest messageRequestType) throws ConnectorException
    Move to in box.
    Parameters:
      `token` - the token
      `messageRequestType` - the message request type
    Returns:
      the response type
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### getMessageAcknowledgmentsStatusResponse

    GetMessageAcknowledgmentsStatusResponse getMessageAcknowledgmentsStatusResponse(SAMLToken token, GetMessageAcknowledgmentsStatusRequest messageAcknowledgmentsStatusRequest) throws ConnectorException
    Get the acknowlegement status.
    Parameters:
      `token` - the token
      `messageAcknowledgmentsStatusRequest` - the acknowlegment status type
    Returns:
      the acknowledgment status.
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### deleteMessage

    DeleteMessageResponse deleteMessage(SAMLToken token, DeleteMessageRequest request) throws ConnectorException

    delete specific message.

    Parameters:
      `request` - the message id
    Returns:
      status in DeleteMessageResponse
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### insertOoO

    InsertOoOResponse insertOoO(SAMLToken token, InsertOoORequest request) throws ConnectorException

    insert Out Of Office period.

    Parameters:
      `request` - user and period of OoO
    Returns:
      status in InsertOoOResponse
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### deleteOoO

    DeleteOoOResponse deleteOoO(SAMLToken token, DeleteOoORequest request) throws ConnectorException

    get list of periods of OoO for specific user.

    Parameters:
      `request` - user id
    Returns:
      list of OoO in GetOoOListResponse
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### getOoOList

    GetOoOListResponse getOoOList(SAMLToken token, GetOoOListRequest request) throws ConnectorException

    delete specific OoO périod.

    Parameters:
      `request` - period OoO id
    Returns:
      status in DeleteOoOResponse
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException

  - ### getAllEhboxesMessagesList

    GetAllEhboxesMessagesListResponse getAllEhboxesMessagesList(SAMLToken initSession, GetAllEhboxesMessagesListRequest request) throws ConnectorException

    retrieve all messages from given source for all mailboxes.

    Parameters:
      `initSession` -
      `request` -
    Returns:
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException